On this page
No Headings
Deprecation notice: TheRe-authorizes a PayPal account payment, by authorization ID. To ensure that funds are still available, re-authorize a payment after the initial three-day honor period. Supports only the/v1/paymentsendpoint is deprecated. Use the/v2/paymentsendpoint instead. For details, see PayPal Checkout Basic Integration.
amount request parameter. You can re-authorize a payment only once from four to 29 days after three-day honor period for the original authorization expires. If 30 days have passed from the original authorization, you must create a new authorization instead. A re-authorized payment itself has a new three-day honor period. You can re-authorize a transaction once for up to 115% of the originally authorized amount, not to exceed an increase of $75 USD.Oauth 2.0 authentication
In: header
Scope: https://api.paypal.com/v1/payments/.*
The ID of the authorization to re-authorize.
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
curl -X POST "https://api-m.sandbox.paypal.com/v1/payments/authorization/string/reauthorize" \ -H "Content-Type: application/json" \ -d '{ "amount": { "currency": "string", "total": "string" } }'{
"id": "string",
"amount": {
"currency": "string",
"total": "string",
"details": {
"subtotal": "string",
"shipping": "string",
"tax": "string",
"handling_fee": "string",
"shipping_discount": "string",
"insurance": "string",
"gift_wrap": "string"
}
},
"payment_mode": "INSTANT_TRANSFER",
"state": "pending",
"reason_code": "AUTHORIZATION",
"pending_reason": "AUTHORIZATION",
"protection_eligibility": "ELIGIBLE",
"protection_eligibility_type": "ITEM_NOT_RECEIVED_ELIGIBLE",
"fmf_details": {
"filter_type": "ACCEPT",
"filter_id": "AVS_NO_MATCH",
"name": "string",
"description": "string"
},
"parent_payment": "string",
"processor_response": {
"response_code": "stri",
"avs_code": "s",
"cvv_code": "s",
"advice_code": "01_NEW_ACCOUNT_INFORMATION",
"eci_submitted": "string",
"vpas": "string"
},
"valid_until": "2019-08-24T14:15:22Z",
"create_time": "2019-08-24T14:15:22Z",
"update_time": "2019-08-24T14:15:22Z",
"receipt_id": "string",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"information_link": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}The amount being authorized.
The Fraud Management Filter (FMF) details that are applied to the payment that result in an accept, deny, or pending action. Returned in a payment response only if the merchant has enabled FMF in the profile settings and one of the fraud filters was triggered based on those settings. For more information, see Fraud Management Filters Summary.
The processor-provided response codes that describe the submitted payment. Supported only when the payment_method is credit_card.